#### D.2.11.3 getcores

Procedure from library `resources.lib` (see resources_lib).

Usage:
  getcores(n), n int

Return:
  the number of available processor cores.

Note:
  This procedure should only be called in the main process of a Singular session and not within any task defined via tasks.lib.

Example:

    LIB "resources.lib";
    setcores(4);
    ==> 4
    getcores();
    ==> 4

See also: addcores; parallel_lib; setcores; tasks_lib.

User manual for Singular version 4.4.1, 2025, generated by texi2html.